OpenAPI 参考

Modelink API · 视频

Modelink 视频生成 API,涵盖 OpenAI 风格、Fal 队列、可灵、豆包 Seedance、Vidu、Veo 等多厂商的文生视频、图生视频与任务查询能力。Fal 格式接口使用 Authorization: Key {api_key};其他接口使用 Bearer 鉴权。

版本 1.0.0

文生视频

POST
/queue/fal-ai/kling-video/v2.5-turbo/{mode}/text-to-video

v2.5-turbo text-to-video 仅支持 pro mode。

认证方式

FalApiKeyAuthAPI 密钥

Fal 格式接口鉴权方式:Authorization: Key {api_key}

header 参数:Authorization

路径参数

  • Name
    mode
    Type
    enum, 必填
    Description

    v2.5-turbo text-to-video 仅支持 pro。

查询参数

  • Name
    fal_webhook
    Type
    string<uri>
    Description

    可选。任务状态变化时接收 FAL 格式回调的 HTTPS 地址。详见 FAL 格式 Webhook

请求体

请求体属性

  • promptstring, 必填

    视频内容提示词,必填,最长 2500 个字符。

  • negative_promptstring

    负向提示词,用于描述不希望出现的内容。默认 blur, distort, and low quality

    default: blur, distort, and low quality

  • cfg_scalenumber

    提示词遵循强度,数值越大越贴近提示词。默认 0.5。

    default: 0.5; minimum: 0; maximum: 1

请求

POST/queue/fal-ai/kling-video/v2.5-turbo/{mode}/text-to-video
curl 'https://api.qnaigc.com/queue/fal-ai/kling-video/v2.5-turbo/{mode}/text-to-video?fal_webhook={fal_webhook}' \
  --request POST \
  --header 'Authorization: YOUR_FAL_API_KEY_AUTH' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --data '{
  "prompt": "A noble lord walks among his people, his presence a comforting reassurance. He greets them with a gentle smile, embodying their hopes and earning their respect through simple interactions. The atmosphere is intimate and sincere, highlighting the bond between the leader and community."
}'

响应

object & object

任务已入队。

响应体属性

    • request_idstring, 必填

      任务唯一标识符。

    • response_urlstring, 必填

      获取结果的完整 URL。

    • status_urlstring, 必填

      查询状态的完整 URL。

    • cancel_urlstring

      取消任务的 URL(暂不支持)。

    • queue_positioninteger

      队列位置(入队时为 0)。

响应

application/json
{
  "request_id": "string",
  "response_url": "string",
  "status_url": "string",
  "cancel_url": "string",
  "status": "IN_QUEUE",
  "queue_position": 42,
  "logs": [
    {
      "message": "string",
      "level": "STDERR",
      "source": "string",
      "timestamp": "string"
    }
  ]
}

图生视频

POST
/queue/fal-ai/kling-video/v2.5-turbo/{mode}/image-to-video

v2.5-turbo image-to-video 支持 standard/pro,不支持 4k。

认证方式

FalApiKeyAuthAPI 密钥

Fal 格式接口鉴权方式:Authorization: Key {api_key}

header 参数:Authorization

路径参数

  • Name
    mode
    Type
    enum, 必填
    Description

    v2.5-turbo image-to-video 支持 standard/pro。

查询参数

  • Name
    fal_webhook
    Type
    string<uri>
    Description

    可选。任务状态变化时接收 FAL 格式回调的 HTTPS 地址。详见 FAL 格式 Webhook

请求体

请求体属性

  • promptstring, 必填

    视频内容提示词,必填,最长 2500 个字符。

  • image_urlstring<uri>, 必填

    视频首帧参考图 URL,必填。

  • tail_image_urlstring<uri>

    可选的视频尾帧参考图 URL。

  • negative_promptstring

    负向提示词,用于描述不希望出现的内容。默认 blur, distort, and low quality

    default: blur, distort, and low quality

  • cfg_scalenumber

    提示词遵循强度,数值越大越贴近提示词。默认 0.5。

    default: 0.5; minimum: 0; maximum: 1

请求

POST/queue/fal-ai/kling-video/v2.5-turbo/{mode}/image-to-video
curl 'https://api.qnaigc.com/queue/fal-ai/kling-video/v2.5-turbo/{mode}/image-to-video?fal_webhook={fal_webhook}' \
  --request POST \
  --header 'Authorization: YOUR_FAL_API_KEY_AUTH' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --data '{
  "prompt": "A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they vie for victory.",
  "image_url": "https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg"
}'

响应

object & object

任务已入队。

响应体属性

    • request_idstring, 必填

      任务唯一标识符。

    • response_urlstring, 必填

      获取结果的完整 URL。

    • status_urlstring, 必填

      查询状态的完整 URL。

    • cancel_urlstring

      取消任务的 URL(暂不支持)。

    • queue_positioninteger

      队列位置(入队时为 0)。

响应

application/json
{
  "request_id": "string",
  "response_url": "string",
  "status_url": "string",
  "cancel_url": "string",
  "status": "IN_QUEUE",
  "queue_position": 42,
  "logs": [
    {
      "message": "string",
      "level": "STDERR",
      "source": "string",
      "timestamp": "string"
    }
  ]
}